KORG nanoKEY 


[ add comment ] ( 6 views )   |  [ 0 trackbacks ]   |  permalink
XEN bridging links 
XEN bridging, OpenSUSE Xen 3.2.0 bridging more interfaces example.

[ 1 comment ] ( 9 views )   |  [ 0 trackbacks ]   |  permalink
XEN VM autostart on boot 
To manage the XEN vm will autostart after the service xen is up link the vm config within the auto directory:

ln –s /etc/xen/MachineFile /etc/xen/auto/MachineFile


Is some cases the change in config.sxp helps to get the machines up:

(on_xend_start start)
(on_xend_stop shutdown)




[ add comment ] ( 6 views )   |  [ 0 trackbacks ]   |  permalink
Linux: automated FTP transfer 
#!/bin/sh
USERNAME="your-ftp-user-name"
PASSWORD="your-ftp-password"
SERVER="your-ftp.server.com"

# local directory to pickup *.tar.gz file
FILE="/tmp/backup"

# remote server directory to upload backup
BACKUPDIR="/pro/backup/sql"

# login to remote server
ftp -ni $SERVER <<EOF
user $USERNAME $PASSWORD
cd $BACKUPDIR
mput $FILE/*.tar.gz
quit
EOF


source


[ add comment ] ( 6 views )   |  [ 0 trackbacks ]   |  permalink
Imagining the Tenth Dimension 8-P 




[ 1 comment ] ( 12 views )   |  [ 0 trackbacks ]   |  permalink
Dr Quantum - Double Slit Experiment 


[ add comment ] ( 6 views )   |  [ 0 trackbacks ]   |  permalink
The Human Genome Project Video 




[ add comment ] ( 5 views )   |  [ 0 trackbacks ]   |  permalink
Earl Hines & Jackie Byard 


[ add comment ] ( 4 views )   |  [ 0 trackbacks ]   |  permalink
0x0000007F - Failed to GetProcAddress on DiOfflineReinstallAllUpdates 
If you get the this while running postreflect command on Vista:

postreflect e:\Windows c:
0x0000007F - Failed to GetProcAddress on DiOfflineReinstallAllUpdates


you have to start the Windows Pe Tools command promt as Administrator. The paths are updated and the error "failed to getprocaddress on diofflinereinstallallupdates Failed: Error = 0x0000007f" is no longer present.

After running the PE Tools Command Prompt as administrator the promt should start at C:\Windows\system32 folder.

[ add comment ] ( 4 views )   |  [ 0 trackbacks ]   |  permalink
TME - Ethernetový teploměr, plugin pro Nagios  
Plugin pro NAGIOS pro odečítání teploty TME čidla od www.papouch.cz.

HTML/XML output z cidla:

<?xml version="1.0" encoding="iso-8859-1" ?><thermometer><title>Ethernet thermometer TME designed by Papouch s.r.o. - www.papouch.com</title><description>TME Serverovna</description><temperature>230</temperature><mintemperature>"N"</mintemperature><maxtemperature>"N"</maxtemperature></thermometer>


TME je teploměr s rozhraním Ethernet (IP teploměr). Má interní WEBové stránky a XML stránku s aktuální teplotou. Umí protokoly TCP, SNMP, SMTP (e-mail), MODBUS a SOAP. Teplotu snadno vložíte na Vaše stránky díky funkci HTTP GET.


Plugin: check_temp

#!/bin/bash

# version 1.0 (27/01/2008)

W_TEMP=250 # warning treshold
C_TEMP=300 # critical treshold
URL="http://192.168.24.221/tme.xml"

cd /tmp

wget -q --output-document=$$.xml ${URL}
if [ $? -gt 0 ]; then
echo "UNKNOWN - can't connect to sensor!"
exit 3
fi


XML=`grep "<temperature>" $$.xml 2>/dev/null #1>&2`; RETVAL=$?

[ -f $$.xml ] && rm -f $$.xml

if [ $RETVAL -gt 0 ]; then
echo "UNKNOWN - no data from sensor!"
exit 3
fi

TEMP=`echo ${XML} | \
awk -F"<temperature>" '{ print $2 }' | \
awk -F"</temperature>" '{ print $1 }'`

TEMP_DOT=`echo $TEMP / 10 | bc`

# temp is okay
if [ $TEMP -lt $W_TEMP ]; then
echo "OK - temperature is ${TEMP_DOT}C |${TEMP}"
exit 0
fi

# temp is over W_TEMP
if [ $TEMP -gt $C_TEMP ]; then
echo "CRITICAL - temperature is ${TEMP_DOT}C |${TEMP}"
exit 2
else
echo "WARNIG - temperature is ${TEMP_DOT}C |${TEMP}"
exit 1
fi


[ add comment ] ( 2 views )   |  [ 0 trackbacks ]   |  permalink

<<First <Back | 52 | 53 | 54 | 55 | 56 | 57 | 58 | 59 | 60 | 61 | Next> Last>>